Wacht Bench is live — AI-assisted development for Wacht

Get Active User List

GET
/users

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

offset?integer
sort_key?string
Value in"CreatedAt" | "Username" | "Email" | "PhoneNumber"
sort_order?string
Value in"Asc" | "Desc"
limit?integer
search?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/users"
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "first_name": "string",
      "last_name": "string",
      "username": "string",
      "profile_picture_url": "string",
      "primary_email_address": "string",
      "primary_phone_number": "string"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}